# https://reeganalward.com/fully-customizable-qr-codes-in-python-7eb8a7c3b0da
# https://www.geeksforgeeks.org/generate-qr-code-using-qrcode-in-python/

# Importing library
import qrcode

# Data to encode
data = '''
BEGIN:VCALENDAR
VERSION:2.0
BEGIN:VEVENT
SUMMARY:Lunchtime meeting
DTSTART;TZID=America/New_York:20230420T120000
DURATION:PT1H
LOCATION:Meeting Room 1
END:VEVENT
END:VCALENDAR
'''

# Creating an instance of QRCode class
qr = qrcode.QRCode(version = 1,
                   box_size = 10,
                   border = 5)

# Adding data to the instance 'qr'
qr.add_data(data)

qr.make(fit = True)
img = qr.make_image(fill_color = 'blue',
                    back_color = 'white')

img.save('MyQRCode2.png')
